Package twisted :: Package web :: Package woven :: Module input

[show private | hide private]
[frames | no frames]

## Module twisted.web.woven.input

Classes
`Anything` | Handle anything except for None
`DefaultHandler` |
`DictAggregator` | An InputHandler for a <form> tag, for triggering a function when all of the form's individual inputs have been validated.
`Float` | Only allow a single float
`InputHandler` | An InputHandler is like a controller, but it operates on something contained inside of `self.model` instead of directly on `self.model`.
`Integer` | Only allow a single integer
`List` |
`ListAggregator` |
`NewObject` | Check to see if the name the user entered is valid.
`SingleValue` |

Variable Summary
`str` | `__version__`

Variable Details

### __version__

  Type:
    `str`
  Value:

        '1.30'

Generated by Epydoc 1.1 on Thu May 8 13:19:12 2003 | http://epydoc.sf.net